import 'package:flutter/material.dart';
import 'package:krezus/pages/budgets/widgets/budgets_actions.dart';
import 'package:krezus/pages/budgets/widgets/month_distribution.dart';

class BudgetsPage extends StatelessWidget {
  const BudgetsPage({super.key});

  @override
  Widget build(BuildContext context) {
    MediaQueryData mediaQuery = MediaQuery.of(context);
    return Center(
      child: Container(
        constraints: const BoxConstraints(
          maxWidth: 1000,
        ),
        child: ListView(
          padding: mediaQuery.padding.copyWith(left: 10.0, right: 10.0, bottom: 100.0),
          children: const [
            BudgetsActions(),
            MonthDistribution()
          ]
        ),
      )
    );
  }
}